---
title: Restart by ID
slug: apis/webhooks/cos-webhooks/events-formats-cos/webhook-management-cos/restart-by-id
description: PUT webhooks/v1/registrations/{id}/restart restarts a suspended or errored webhook registration.
icon: {"apiMethod":"PUT"}
docTags: 
createdAt: 2025-05-07T13:17:30.809Z
---

:::ApiMethodV2
```json
{
  "name": "Endpoint: /webhooks/v1/registrations/{id}/restart",
  "method": "PUT",
  "url": "https://sandbox.crbcos.com/webhooks/v1/registrations/{id}/restart",
  "description": "Restarts webhook registration by ID",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "DcCGEZR7gprRfUUDHeA6f",
        "language": "curl",
        "code": "curl --location --globoff --request PUT 'https://sandbox.crbcos.com/webhooks/v1/registrations/{id}/restart' \\\n--data ''",
        "customLabel": ""
      },
      {
        "id": "d01WaYHK7P6jw9S4-tpM7",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'PUT',\n  'hostname': 'sandbox.crbcos.com',\n  'path': '/webhooks/v1/registrations/{id}/restart',\n  'headers': {\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nreq.end();",
        "customLabel": ""
      },
      {
        "id": "zyf4sep7_uIA_HGPe78oq",
        "language": "python",
        "code": "import requests\n\nurl = \"https://sandbox.crbcos.com/webhooks/v1/registrations/{id}/restart\"\n\npayload = \"\"\nheaders = {}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "G9abCEG6kdBYiM2j99zlX",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://sandbox.crbcos.com/webhooks/v1/registrations/{id}/restart\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Put.new(url)\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "QUevvnOFR2wiU4Usovfe4",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"strings\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"https://sandbox.crbcos.com/webhooks/v1/registrations/{id}/restart\"\n  method := \"PUT\"\n\n  payload := strings.NewReader(``)\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, payload)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "d01WaYHK7P6jw9S4-tpM7"
  },
  "results": {
    "languages": [
      {
        "id": "5QdY8aI7LIPpNoNRTI0x1",
        "language": "200",
        "customLabel": "",
        "code": "{\n  \"id\": \"b38c1805-3f4c-470d-86bb-b288015024ce\",\n  \"partnerId\": \"ba9d0234-26e9-43a2-9070-aedd0108eadb\",\n  \"eventName\": \"Ach.Payment.Received\",\n  \"callbackUrl\": \"https://webhook.site/ef6bdf1e-665c-42e8-9387-e2e89cfc89d9\",\n  \"authUsername\": \"\",\n  \"consecutiveErrors\": 2,\n  \"lastError\": \"2025-02-21T01:15:55.61-05:00\",\n  \"status\": \"Restarting\",\n  \"type\": \"Push\",\n  \"format\": \"Extended\"\n}"
      },
      {
        "id": "f8E5Lrni_OLuxOFCVvB4h",
        "language": "400",
        "code": "{\n    \"errors\": [\n        {\n            \"code\": 2011,\n            \"message\": \"Registration is active\"\n        }\n    ]\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "5QdY8aI7LIPpNoNRTI0x1"
  },
  "request": {
    "pathParameters": [
      {
        "name": "id",
        "kind": "optional",
        "type": "string",
        "description": "The webhook registration ID. You receive this ID in the response when you register a webhook event. This ID is in GUID format.",
        "children": []
      }
    ],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "id string\nThe webhook registration ID. You receive this ID in the response when you register a webhook event. This ID is in GUID format."
    },
    {
      "name": "partnerId",
      "kind": "optional",
      "type": "string",
      "description": "Your unique ID in the Cross River system. This ID is in GUID format.",
      "children": []
    },
    {
      "name": "eventName",
      "kind": "optional",
      "type": "string",
      "description": "Webhook event being reported",
      "children": []
    },
    {
      "name": "callbackURL",
      "kind": "optional",
      "type": "string",
      "description": "The value is a URL. Webhooks are reported to this URL as a result of a triggered action. Make sure the callback URL is added to Cross River's allowlist. SSL required.",
      "children": []
    },
    {
      "name": "authUserName",
      "kind": "optional",
      "type": "string",
      "description": "Basic authentication username to include in header of event",
      "children": []
    },
    {
      "name": "authPassword",
      "kind": "optional",
      "type": "string",
      "description": "Basic authentication password to include in event header",
      "children": []
    },
    {
      "name": "consecutiveErrors",
      "kind": "optional",
      "type": "Integer",
      "description": "The number of consecutive errors",
      "children": []
    },
    {
      "name": "lastError",
      "kind": "optional",
      "type": "string",
      "description": "Description of the last error",
      "children": []
    },
    {
      "name": "status",
      "kind": "optional",
      "type": "string",
      "description": "Status of registration:\n- Active\n- Suspended\n- Restarting",
      "children": []
    },
    {
      "name": "type",
      "kind": "optional",
      "type": "string",
      "description": "Type of registration:\n- Push\n- Poll\n- File",
      "children": []
    },
    {
      "name": "format",
      "kind": "optional",
      "type": "string",
      "description": "Event format:\n- Basic\n- Extended",
      "children": []
    }
  ],
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "endpoint-webhooksv1registrationsidrestart",
  "legacyHash": "oZEXd-j73Dt8kHzMy_Cfv"
}
```
:::

